Skip to main content
POST
/
v1
/
ai
/
agents
/
tasks
/
{taskId}
/
decisions
Submit Task Decisions
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/decisions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "decisions": [
    {
      "type": "<string>",
      "answers": [
        {
          "selectedOptions": [
            "option_a"
          ],
          "questionIndex": 0
        }
      ],
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
'
{
  "pendingDecisions": [
    {
      "permissionMessage": {
        "body": "The agent wants to run: SELECT * FROM sales",
        "title": "Execute SQL query"
      },
      "toolId": "call_abc123",
      "toolInput": "<unknown>",
      "toolName": "execute_sql",
      "type": "tool"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

taskId
string<uuid>
required

Body

application/json
decisions
object[]
required
Minimum array length: 1

Response

Decisions submitted successfully

pendingDecisions
object[]

The list of decisions still pending after processing